package com.kingdee.eas.custom.dormitorysystem.waterelectricity;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.custom.dormitorysystem.waterelectricity.app.*;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class WaterElectricitySpecialEntry extends HRBillBaseEntry implements IWaterElectricitySpecialEntry
{
    public WaterElectricitySpecialEntry()
    {
        super();
        registerInterface(IWaterElectricitySpecialEntry.class, this);
    }
    public WaterElectricitySpecialEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IWaterElectricitySpecialEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("A9C29C4E");
    }
    private WaterElectricitySpecialEntryController getController() throws BOSException
    {
        return (WaterElectricitySpecialEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public WaterElectricitySpecialEntryInfo getWaterElectricitySpecialEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterElectricitySpecialEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public WaterElectricitySpecialEntryInfo getWaterElectricitySpecialEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterElectricitySpecialEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public WaterElectricitySpecialEntryInfo getWaterElectricitySpecialEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getWaterElectricitySpecialEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public WaterElectricitySpecialEntryCollection getWaterElectricitySpecialEntryCollection() throws BOSException
    {
        try {
            return getController().getWaterElectricitySpecialEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public WaterElectricitySpecialEntryCollection getWaterElectricitySpecialEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getWaterElectricitySpecialEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public WaterElectricitySpecialEntryCollection getWaterElectricitySpecialEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getWaterElectricitySpecialEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}